Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.cls
Class AssertedClassesPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  edu.stanford.smi.protege.util.SelectableContainer
                      edu.stanford.smi.protegex.owl.ui.cls.AssertedClassesPanel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, edu.stanford.smi.protege.util.Selectable, TreePanel, ClassTreePanel, Hierarchy, NavigationHistorySelectable, ImageObserver, MenuContainer, Serializable

    public class AssertedClassesPanel

extends edu.stanford.smi.protege.util.SelectableContainer
implements Hierarchy, ClassTreePanel

A component displaying the asserted classes tree on the OWLClassesTab.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected edu.stanford.smi.protege.ui.HeaderComponent` | `classBrowserHeader`
`protected edu.stanford.smi.protege.util.AllowableAction` | `deleteAction`
`protected edu.stanford.smi.protege.util.LabeledComponent` | `labeledComponent`
`protected OWLSubclassPane` | `subclassPane`
`protected Action` | `viewAction`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.actions.TreePanel
`GROUP`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AssertedClassesPanel(OWLModel owlModel, HierarchyManager hierarchyManager)`
`AssertedClassesPanel(edu.stanford.smi.protege.model.Project project, HierarchyManager hierarchyManager)` Deprecated.

Method Summary
`Hierarchy` | `createClone()` Creates a clone of this, i.e.
`protected edu.stanford.smi.protege.ui.HeaderComponent` | `createClsBrowserHeader()`
`protected void` | `createPanes()`
`protected OWLSubclassPane` | `createSubclassPane(Action viewAction, RDFSNamedClass rootClass, Action deleteClsAction)`
`protected OWLSubclassPane` | `createSubclassPane(Action viewAction, RDFSNamedClass rootClass, Action createClsAction, Action deleteClsAction)` Deprecated.
`JTree` | `getClsesTree()`
`protected edu.stanford.smi.protege.util.AllowableAction` | `getDeleteClsAction()`
`protected JComponent` | `getDisplayedComponent()`
`JComponent` | `getDropComponent()`
`edu.stanford.smi.protege.ui.HeaderComponent` | `getHeaderComponent()`
`edu.stanford.smi.protege.util.LabeledComponent` | `getLabeledComponent()`
`edu.stanford.smi.protege.model.Project` | `getProject()`
`RDFSClass` | `getSelectedClass()`
`Collection` | `getSelection()`
`String` | `getTitle()` Gets the title of this instance (e.g.
`JTree` | `getTree()`
`String` | `getType()` Gets the general type if this Hierarchy (e.g.
`boolean` | `isDefaultSynchronized()` Checks if this Hierarchy shall be by default synchronized with the asserted class tree.
`void` | `navigateToResource(RDFResource resource)` Performs the selection in the associated component(s).
`void` | `setExpandedClass(RDFSNamedClass cls, boolean expanded)`
`void` | `setExpandedCls(edu.stanford.smi.protege.model.Cls cls, boolean expanded)` Deprecated.
`void` | `setFinderComponent(JComponent c)`
`void` | `setRenderer(edu.stanford.smi.protege.util.DefaultRenderer renderer)`
`void` | `setSelectedClass(RDFSClass cls)` Selects a given class in the tree.
`void` | `setSelectedCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`void` | `showHidden()`
`void` | `showInferred()`
`protected void` | `showInstance(edu.stanford.smi.protege.model.Instance instance)`
`protected void` | `updateDeleteActionState()`

Methods inherited from class edu.stanford.smi.protege.util.SelectableContainer
`addSelectionListener, clearSelection, dispose, equals, getSelectable, getSoleSelection, notifySelectionListeners, onSelectionChange, removeSelectionListener, setNotificationsEnabled, setSelectable, toString`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Field Detail

### classBrowserHeader

    protected edu.stanford.smi.protege.ui.HeaderComponent classBrowserHeader

### deleteAction

    protected edu.stanford.smi.protege.util.AllowableAction deleteAction

### labeledComponent

    protected edu.stanford.smi.protege.util.LabeledComponent labeledComponent

### subclassPane

    protected OWLSubclassPane subclassPane

### viewAction

    protected Action viewAction

Constructor Detail

### AssertedClassesPanel

    public AssertedClassesPanel(edu.stanford.smi.protege.model.Project project,
                                HierarchyManager hierarchyManager)

  Deprecated.

### AssertedClassesPanel

    public AssertedClassesPanel(OWLModel owlModel,
                                HierarchyManager hierarchyManager)

Method Detail

### createSubclassPane

    protected OWLSubclassPane createSubclassPane(Action viewAction,
                                                 RDFSNamedClass rootClass,
                                                 Action createClsAction,
                                                 Action deleteClsAction)

  Deprecated.

### createSubclassPane

    protected OWLSubclassPane createSubclassPane(Action viewAction,
                                                 RDFSNamedClass rootClass,
                                                 Action deleteClsAction)

### createClone

    public Hierarchy createClone()

  Description copied from interface: `Hierarchy`
  Creates a clone of this, i.e. a Hierarchy with the same type and at least a similar configuration.

  Specified by:
    `createClone` in interface `Hierarchy`
  Returns:
    a clone of this

### createClsBrowserHeader

    protected edu.stanford.smi.protege.ui.HeaderComponent createClsBrowserHeader()

### createPanes

    protected void createPanes()

### getClsesTree

    public JTree getClsesTree()

### getDeleteClsAction

    protected edu.stanford.smi.protege.util.AllowableAction getDeleteClsAction()

### getDisplayedComponent

    protected JComponent getDisplayedComponent()

### getDropComponent

    public JComponent getDropComponent()

### getHeaderComponent

    public edu.stanford.smi.protege.ui.HeaderComponent getHeaderComponent()

  Specified by:
    `getHeaderComponent` in interface `Hierarchy`

### getLabeledComponent

    public edu.stanford.smi.protege.util.LabeledComponent getLabeledComponent()

### getProject

    public edu.stanford.smi.protege.model.Project getProject()

  Returns:
    edu.stanford.smi.protege.model.Project

### getSelection

    public Collection getSelection()

  Specified by:
    `getSelection` in interface `edu.stanford.smi.protege.util.Selectable`
  Overrides:
    `getSelection` in class `edu.stanford.smi.protege.util.SelectableContainer`

### getSelectedClass

    public RDFSClass getSelectedClass()

  Specified by:
    `getSelectedClass` in interface `Hierarchy`

### getTitle

    public String getTitle()

  Description copied from interface: `Hierarchy`
  Gets the title of this instance (e.g. "Asserted Hierarchy").

  Specified by:
    `getTitle` in interface `Hierarchy`
  Returns:
    the title for display purposes

### getTree

    public JTree getTree()

  Specified by:
    `getTree` in interface `TreePanel`

### getType

    public String getType()

  Description copied from interface: `Hierarchy`
  Gets the general type if this Hierarchy (e.g. "Subsumption").

  Specified by:
    `getType` in interface `Hierarchy`
  Returns:
    the type for display purposes

### isDefaultSynchronized

    public boolean isDefaultSynchronized()

  Description copied from interface: `Hierarchy`
  Checks if this Hierarchy shall be by default synchronized with the asserted class tree.

  Specified by:
    `isDefaultSynchronized` in interface `Hierarchy`
  Returns:
    true if this hierarchy shall be synchronized by default

### navigateToResource

    public void navigateToResource(RDFResource resource)

  Description copied from interface: `NavigationHistorySelectable`
  Performs the selection in the associated component(s).

  Specified by:
    `navigateToResource` in interface `NavigationHistorySelectable`
  Parameters:
    `resource` - the resource to navigate to

### setExpandedCls

    public void setExpandedCls(edu.stanford.smi.protege.model.Cls cls,
                               boolean expanded)

  Deprecated.

### setExpandedClass

    public void setExpandedClass(RDFSNamedClass cls,
                                 boolean expanded)

### setFinderComponent

    public void setFinderComponent(JComponent c)

### setRenderer

    public void setRenderer(edu.stanford.smi.protege.util.DefaultRenderer renderer)

### setSelectedClass

    public void setSelectedClass(RDFSClass cls)

  Description copied from interface: `ClassTreePanel`
  Selects a given class in the tree.

  Specified by:
    `setSelectedClass` in interface `ClassTreePanel`
  Specified by:
    `setSelectedClass` in interface `Hierarchy`
  Parameters:
    `cls` - the class to select (and navigate to)

### setSelectedCls

    public void setSelectedCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  See Also:
    `setSelectedClass(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### showInferred

    public void showInferred()

### showHidden

    public void showHidden()

### showInstance

    protected void showInstance(edu.stanford.smi.protege.model.Instance instance)

### updateDeleteActionState

    protected void updateDeleteActionState()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.